> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Arrive Delivery Stop

> Mark a stop as arrived (state='done'), advance the next stop to 'current',
and recompute the delivery status from all stop states.



## OpenAPI

````yaml /api/openapi-cutmake.json post /api/v1/logistics/deliveries/{delivery_id}/stops/{stop_id}/arrive
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/logistics/deliveries/{delivery_id}/stops/{stop_id}/arrive:
    post:
      tags:
        - Logistics
      summary: Arrive Delivery Stop
      description: >-
        Mark a stop as arrived (state='done'), advance the next stop to
        'current',

        and recompute the delivery status from all stop states.
      operationId: >-
        arrive_delivery_stop_api_v1_logistics_deliveries__delivery_id__stops__stop_id__arrive_post
      parameters:
        - name: delivery_id
          in: path
          required: true
          schema:
            type: string
            title: Delivery Id
        - name: stop_id
          in: path
          required: true
          schema:
            type: string
            title: Stop Id
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeliveryResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    DeliveryResponse:
      properties:
        id:
          type: string
          title: Id
        documentId:
          type: string
          title: Documentid
        direction:
          type: string
          title: Direction
        deliveryType:
          type: string
          title: Deliverytype
        status:
          type: string
          title: Status
        carrierName:
          anyOf:
            - type: string
            - type: 'null'
          title: Carriername
        carrierSupplierId:
          anyOf:
            - type: string
            - type: 'null'
          title: Carriersupplierid
        trackingNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Trackingnumber
        containerNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Containernumber
        vehicleNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Vehiclenumber
        originLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Originlocationid
        originLocationName:
          anyOf:
            - type: string
            - type: 'null'
          title: Originlocationname
        destinationLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Destinationlocationid
        destinationLocationName:
          anyOf:
            - type: string
            - type: 'null'
          title: Destinationlocationname
        plannedShipDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Plannedshipdate
        actualShipDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Actualshipdate
        plannedArrivalDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Plannedarrivaldate
        actualArrivalDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Actualarrivaldate
        shippingTerms:
          anyOf:
            - type: string
            - type: 'null'
          title: Shippingterms
        packagesCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Packagescount
        weightEst:
          anyOf:
            - type: number
            - type: 'null'
          title: Weightest
        weightActual:
          anyOf:
            - type: number
            - type: 'null'
          title: Weightactual
        volumeCbm:
          anyOf:
            - type: number
            - type: 'null'
          title: Volumecbm
        costEst:
          anyOf:
            - type: number
            - type: 'null'
          title: Costest
        costActual:
          anyOf:
            - type: number
            - type: 'null'
          title: Costactual
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
        lineItemsCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Lineitemscount
        lineItems:
          anyOf:
            - items:
                $ref: '#/components/schemas/DeliveryLineItemResponse'
              type: array
            - type: 'null'
          title: Lineitems
        stops:
          anyOf:
            - items:
                $ref: '#/components/schemas/DeliveryStopResponse'
              type: array
            - type: 'null'
          title: Stops
      type: object
      required:
        - id
        - documentId
        - direction
        - deliveryType
        - status
      title: DeliveryResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DeliveryLineItemResponse:
      properties:
        id:
          type: string
          title: Id
        deliveryId:
          type: string
          title: Deliveryid
        destinationLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Destinationlocationid
        sequence:
          type: integer
          title: Sequence
          default: 0
        shipmentIds:
          items:
            type: string
          type: array
          title: Shipmentids
          default: []
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        status:
          type: string
          title: Status
        arrivedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Arrivedat
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
      type: object
      required:
        - id
        - deliveryId
        - status
      title: DeliveryLineItemResponse
    DeliveryStopResponse:
      properties:
        id:
          type: string
          title: Id
        stopOrder:
          type: integer
          title: Stoporder
        name:
          type: string
          title: Name
        subLabel:
          anyOf:
            - type: string
            - type: 'null'
          title: Sublabel
        stopType:
          type: string
          title: Stoptype
        state:
          type: string
          title: State
        plannedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Plannedat
        actualAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Actualat
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      required:
        - id
        - stopOrder
        - name
        - stopType
        - state
      title: DeliveryStopResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````